<template lang="pug">
  v-app
    v-app-bar(app color='primary' dark clipped-left)
      v-app-bar-nav-icon(v-if='user' @click='drawer = !drawer')
      v-toolbar-title.logo(@click="$router.push('/')") Spotify
      v-spacer
      v-tooltip(bottom)
        template(v-slot:activator='{ on, attrs }')
          v-btn(icon v-bind='attrs' v-on='on' @click='logout')
            v-icon logout
        | Se déconnecter
    v-navigation-drawer(v-if='user' v-model='drawer' app clipped)
      v-list
        v-list-item(link to='/')
          v-list-item-icon
            v-icon library_music
          v-list-item-content
            v-list-item-title Bibliothèque
        v-list-item(link to='/search')
          v-list-item-icon
            v-icon search
          v-list-item-content
            v-list-item-title Recherche
    v-main
      router-view

</template>

<script>
export default {
	name: "App",

	data: () => ({
		drawer: true,
	}),
	computed: {
		user() {
      // get selected user
			return this.$store.state.user;
		},
	},
	methods: {
		logout() {
			this.$store.state.user = null;
			this.$router.push("/login");
		},
	},
};
</script>

<style lang="scss" scoped>
.logo:hover {
	cursor: pointer;
}
</style>
